1 Reply Latest reply: Dec 2, 2005 4:00 PM by E.Moore
Doug Engert Level 1 Level 1 (0 points)
Mac OS X 10.4 provides a version of OpenSSL in /usr. With security update 2005-009 applies a version of OpenSSL-0.9.7i

/usr/bin/openssl appears to be linked static.
/usr/lib/libcryoto.0.9.7.dylib and /usr/lib/libssl.0.9.7.dylib
are also provided. These look like they are also 0.9.7i.

None of these have the "OpenSSL 'dlfcn' shared library method" which means the dynamic engine code does not work.

And the /usr/include/openssl header files appear to be 0.9.7b

Anyone know how to get Apple to add in the DSO code for the
dynamic engine, and get the header files to match the libs?

I would rather use the vendor's provided versions of these
if at all possible.

  Mac OS X (10.4.3)